> For the complete documentation index, see [llms.txt](https://headless.intelligems.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://headless.intelligems.io/version-1.2.16/reference/hooks/variation-hooks.md).

# Variation Hooks

## `useIgVariations()`

Returns the list of variations the user is assigned to, including any redirect metadata for those variations.

```typescript
import type { HeadlessVariationWithRedirects } from "@intelligems/headless";

const useIgVariations: () => {
  isReady: boolean;
  variations: HeadlessVariationWithRedirects[];
};
```

## `useIgVariation()`

Returns the assigned variation for the given experience, including redirect metadata.

```typescript
const useIgVariation: (experienceId: string) => {
  isReady: boolean;
  variation: HeadlessVariationWithRedirects | null;
};
```

## `useIgShippingVariation()`

Returns the assigned variation for the shipping experience (if configured).

```typescript
import type { PluginVariationType } from "@intelligems/ig-types";

const useIgShippingVariation: () => {
  isReady: boolean;
  variation: PluginVariationType | null;
};
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://headless.intelligems.io/version-1.2.16/reference/hooks/variation-hooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
